Subject: bug#6262: Please learn the compiler that defface needs a doc string

From: Lennart Borgman <[email-masked]>
Date: Wed, 26 May 2010 20:09:48 +0200

On Wed, May 26, 2010 at 7:54 PM, Juanma Barranquero <[email-masked]> wrote:
> On Wed, May 26, 2010 at 18:51, Lennart Borgman
> <[email-masked]> wrote:
>
>> If you forget to add a doc string to defface it compiles "fine", i.e.
>> without any warnings, but you get trouble later.
>
> That's still quite vague. What kind of trouble? Do you have a
> step-by-step recipe?

Try to compile this

(defface my-face
  '((t (:foreground "black" :background "OrangeRed")))
  :group 'web-vcs)

You get a warning (I misremembered), but no error. However you get an
error when you try to load it.

If you just eval the definition you get no warning.

It would be quite nice if you got an error in both cases - especially
since it is rather unlikely that you are very used to defining faces
and that it is a bit special (although good) that the doc string is
required.

I think there is a similar problem with define-minor-mode, but I am
not quite sure now.